Figure - 0 O Dev #110126
0 O Dev#110122 (New): D MKO 00 0O

UOMKOOAFODOODOO
2022-06-30 14:02- CD TPM-0 0 O

Status: New Start date: 2022-07-19
Priority: High Due date: 2023-02-08
Assignee: CDTPM-U OO % Done: 74%
Category: CD-FW Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_update_20221130
Subtasks:

0 0O Dev#110530: 0 MKO O AFO 0O 02059010 cuttlefish

0 0O Dev#110693: 0 MKO O AFO O Bootanimationd O TC-RID: 1201-02001010
00O Dev#110694: 0 MKO O AFO O Fotall O TC-RID: 1201-02004010

00 Dev#110696: 0 MKO O AFO O Tlog® O TC-RID: 1201-02011010

00O Dev#110697: 0 MKO O FWO O TBox Logd O TC-RID: 1201-020110201

0 0O Dev#110698: 0 MKO O AFO O Multi-userd O TC-RID: 1201-02013010

0 O Dev#110700: 0 MKO O AFO O PowerProfiled O TC-RID: 1201-02016010
0 0 Dev#110701: 0 MKO O AFC O Thermald O TC-RID: 1201-02022010
00 Dev#110702: 0 MKO O FWO 0O Keyd O TC-RID: 1201-02039010

00O Dev#110703: 0 MKO O FWO O Performanced O TC-RID: 1201-02040010
0 0O Dev#110704: 0 MKO O FWO O Preinstalld O TC-RID: 1201-02044010

0 0O Dev#110706: 0 MKO O FWO O GameModell O TC-RID: 1201-02048010

00O Dev#113436
0O Dev # 113440
00O Dev#113445
00O Dev# 113447
00O Dev# 113449
00O Dev# 113450
00O Dev#113451
00O Dev # 113452
00O Dev# 113453
00O Dev # 113455
00O Dev # 114437

;0 MKO O FWO O GameModeD O TC-RID: 1201-02048010] Game ...
0 MKO O FWO O GameModed O TC-RID: 1201-0204802C) Game ...
;0 MKO O FwWO O GameModel 00 TC-RID:
;0 MKO O FwWO O GameModel O TC-RID:
;0 MKO O FWO O GameModel O TC-RID:
0 MKO O FWO O GameMode O TC-RID:
:0 MKO O FWO O GameModeO O TC-RID:
-0 MKO O FWO O GameMode O TC-RID:
-0 MKO O FWO O GameMode O TC-RID:
-0 MKO O FWO O GameMode O TC-RID:
-0 MKO O FWO O GameModed O TC-RID:

1201-02048030 Game ...
1201-020480400 Game ...
1201-020480500 Game ...
1201-020480600 Game ...
1201-020480700 Game ...
1201-020480801 Game ...
1201-020480901 Game ...
1201-0204801000 Game...
1201-020480101 Game ...

00O Dev#110707: 0 MKO O FWO O LightBrightness(] [0 TC-RID: 1201-02049010
00O Dev#110709: 0 MKO O FwWO O NTPO O TC-RID: 1201-020500100

00O Dev#110710: 0 MKO O FWO O SystemOptimization[] 0 TC-RID: 1201-020...
00 Dev#110711: OMKO OFWO DO OO OO OO O OO O TC-RID: 1201-02052010
00 Dev#1107122. 0 MKO OFWO O OO OO OO O O TC-RID: 1201-02052020
00 Dev#110714.0MKOOFWO OO DO OO OO O O TC-RID: 1201-02052030

0 0O Dev#110715: 0 MKO O FWO O VehicleDataControl (0 TC-RID: 1201-020...

0 O Dev#112251: 0 MKO O FWO O VehicleDataControlO O TC-RID: 1201-020...
00 Dev#112252: 0 MKO O FWO O VehicleDataControl() O TC-RID: 1201-020...

2025-08-17

00 Closed
00 Closed
00 Closed
000 InProgress
New

00 Closed
00 Closed
New

New

New

00 0O InProgress
New

00 Closed
00 Closed
00O Closed
00 Closed
00O Closed
00 Closed
000 Pending
00 Closed
00 Closed
00 Closed
00 Closed
00 Closed
00O Canceled
00 Closed
00O Canceled
00 Canceled
00 Closed
00 Closed
00O Canceled
00 Closed
00 Dev# 112253
00 Dev# 112254
00 Dev # 112255
00O Dev # 112256
00O Dev# 112257
00O Dev # 112258
00O Dev # 112260
00O Dev#112261
00O Dev # 112262
00O Dev # 112264
00O Dev # 112265
00O Dev#112267
00O Dev# 112287
00O Dev#112289
00O Dev#112528
00O Dev # 115370
00 Dev#110717:
00 Dev#115371
00O Dev#110718:
00O Dev#110719:
00O Dev#110739:
00O Dev # 110740:
00O Dev#110741:
00O Dev#110742:
00O Dev#110743:
00O Dev#110744:
0O Dev #110745:
0O Dev #110746:
00O Dev#110747:
0O Dev#110748:
0O Dev#110749:
0O Dev#110750:
00O Dev#110911:
OO Dev#110912:
00 Dev#110951:
00 Dev#110953
00 Dev# 110954
00 Dev # 110959
00O Dev # 110960
00 Dev # 110962
00O Dev#110963
00O Dev # 110957
00O Dev#111027:
00O Dev#111285:
00O Dev#111291:
00O Dev#111811:
00O Dev#111821:
00O Dev#111916:
00 Dev#111917:
00O Dev#111918:
0O Dev#112001:
OO Dev#112123:
00O Dev#112187:

2025-08-17

;0 MKO O FWO O VehicleDataControld O TC-RID: 1201-020...

;0 MKO O FwO O VehicleDataControld O TC-RID: 1201-020...

: 0 MKO O FWO O VehicleDataControld O TC-RID: 1201-020...

: 0 MKO O FWO O VehicleDataControld O TC-RID: 1201-020...

: 0 MKO O FWO O VehicleDataControld O TC-RID: 1201-020...

:0 MKO O FWO O VehicleDataControld O TC-RID: 1201-020...

0 MKO O FWO O VehicleDataControld O TC-RID: 1201-020...

:0 MKO O FWO O VehicleDataControld O TC-RID: 1201-020...

-0 MKO O FWO O VehicleDataControld O TC-RID: 1201-020...

: 0 MKO O 0190 O StatusBarCD O TC-RID: 0301-02018010 O O O ...
-0 MKO O FWO O VehicleDataControl 0 0 TC-RID: 1201-020...

;0 MKO O FWO O VehicleDataControl () 0 TC-RID: 1201-020...

;0 MKO O FWO O VehicleDataControl0 O TC-RID: 1201-020...

;0 MKO O FWO O VehicleDataControl0 O TC-RID: 1201-020...

;0 MKO O FWO O InitialSettingd O TC-RID: 1201-0200701...

0 MKO O FwO O VehicleDataControld O TC-RID: 1201-020...

0 MKO O FWO O RemoteControld O TC-RID: 1201-02060010 ...

;0 MKO O FwO O RemoteControld O TC-RID: 1201-02060010 ...

0 MKO O FWO O RemoteControld O TC-RID: 1201-02060020 ...

0 MKO O FWO O RemoteControld O TC-RID: 1201-02060030 ...

0 MKO O FwO O Settingsd O TC-RID: 1201-02018010

0 MKDO 0O APPO O ScreenSaver O TC-RID: 1201-03006010

0 MKO O FwO O StatusBarl] O TC-RID: 1201-02019010

0 MKO O APPO O ScreenSavert [ TC-RID: 1201-0300602[1

0 MKO O FWO O NotificationT 0 TC-RID: 1201-020190200

0 MKO O APPO O home[ O TC-RID: 1201-02053010

0 MKO O APPO O recentd O TC-RID: 1201-0205302C]

0 MKO O FWO O QuickSettings(] [0 TC-RID: 1201-02019030)

0 MKO O APPO [ hotseat] O TC-RID: 1201-0205303[1

0 MKO O FWO O PowerOn/Off0J [0 TC-RID: 1201-02038010

0 MKO O FWO O Wallpapers( O TC-RID: 1201-02024010

0 MKO 0O 0250 O LockScreend [0 TC-RID: 1201-02025010

0 MKO O AFO O TC-RID: 1200-02062010 overlayCl 0 00 O

0 MKO O AFO O TC-RID: 1200-02063011 ProductPathConfig

0 MKO O AFO O MultiWindow( O TC-RID: 1201-02014010

;0 MKO O AFO O MultiWindowO O TC-RID: 1201-020140100 O O ...
;0 MKO O AFO O Multiwindow O TC-RID: 1201-02014010 0 O O O
-0 MKO O AFO O MultiWindowO O TC-RID: 1201-020140100 O O ...
: 0 MKO O AFO O Multiwindowd O TC-RID: 1201-020140100 O O ...
: 0 MKO O AFO O Multiwindowd O TC-RID: 1201-020140100 O O ...
-0 MKO O AFO O MultiwindowO O TC-RID: 1201-020140100 O O ...
-0 MKO O AFO O MultiwindowO O TC-RID: 1201-020140100 O O ...
0 MKO O 0640 O GlobalActiond O TC-RID: 1200-02064011

MKO O AFO O TC-RID: 1201-020650101 RecoverConfig

0 MKO O AFO O TC-RID: 1201-020660101 Screenshot

0 MKO O APPO O LeBoCastAppl O TC-RID: 1201-03005010

0 MKO O FWO O InputMethod [0 TC-RID: 1201-020080101

0 MKO 0O APPO O Launcher-Editmode] O TC-RID: 1201-020...

0 MKO O APPO O Launcher-widget[] [0 TC-RID: 1201-02053050)

0 MKO O APPO O Launcher-folder O TC-RID: 1201-0205306[

0 MKO O FWO O Adaptivelcon 00 TC-RID: 1201-02067010

0 MKO O FWO O TopActivityChangel O TC-RID: 1201-0206...

0 MKO O FwO O FontO O TC-RID: 1201-02071010

00O Canceled
00O Closed
00 Closed
00 Closed
00 Closed
00 Closed
00O Canceled
00O Canceled
00O Canceled
New

00 Canceled
00 Closed
00 Closed
00O Canceled
00 Canceled
00 Closed
00 Closed
00O Closed
00 Closed
00O Closed
000 InProgress
00 Closed
000 InProgress
New
000 InProgress
000 Pending
000 InProgress
New

New

00 Closed
000 Not Started
00 Closed
00 Closed
00 Closed
New

New

New

New

New

00O Canceled
New

New

00 Closed
00 Closed
000 InProgress
00 Closed
00 Closed
00O Pending
00 O InProgress
00O Pending
00 Closed
00 Closed
00 Closed
0 0O Dev#112279: 0 MKO O FWO O TCService-TimeSyncd O TC-RID: 1201-020...
0 O Dev#112280: 0 MKO O FWO O TCService-LightSensorSync) 0 TC-RID: 1...
00 Dev#112368: [FW][D O O OJPRDO DO OO

OO Dev#112369: [MM][O O OO JPRDO OO O

00O Dev#112374: [FW]setting-CO O -0 00 0O-00/00

0 0O Dev #112378: [MK][MCU-OTA]O TC-RID: 1201-020040100

00O Dev#112454: 0 MKO O FWO O UARTO O TC-RID: 1201-02073010

00 Dev#115369: 0 MKO O FWO O UARTO O TC-RID: 1201-02073010 O O MCuO O OO ..

00O Dev#113730: 0 MKDO O AFO O WIFI ADBO O TC-RID: 1201-020100201
00 Dev#114683: O MKO OAFO OO 0O OO O O TC-RID: 1201-02045010
00 Dev#115617: O MKO OAFO OO OOO OO TC-RID: 1201-02010030 0 0 O O OO 0O
0O Dev#117549: 0 MKO O AFO O FactoryToolsO O TC-RID: 1201-02076010 O 0O O O
00 Dev#117551: 0 MKO O FWO 0O GameCenter] O TC-RID: 1201-03015010 O O O OO O
00 Dev#119107: 0 MKO O AFO O HiCarD O TC-RID: 1201-02080010 0 0 0 O HiCard O
00 Dev#119143: 0 MKO O LCO O HiCarO O TC-RID: 1201-02080010 O OO0 O O O -B...
00O Dev#119144: 0 MKO O AFO O HiCarD O TC-RID: 1201-02080010 O O HMIO O O ...
00 Dev#119145: 0 MKO O MMO O HiCarD O TC-RID: 1201-02080010 0 0 O O

00 Dev#119334: 0 MKO O MMUO O HiCar0 O TC-RID: 1201-02080010 0 0 O O
0 O Dev #119484: 0 MKO O Diagnosticd O TC-RID: 1201-02081010 VC1 FSEMO O

00O Dev#119409: 0 MKDO O LCDO O TC-RID: 1201-02081010 O O DTCO O OO
00 Dev#119696: 0 MKO O IDPSO O TC-RID: 1201-02082010 0 0 0 0 0 00O

00O Canceled
00O Canceled
0 O Resolved
New

00 Closed
00 Closed
00 Closed
00 Closed
New

00 Closed
00 Closed
New

0 O Resolved
New

New

New

000 InProgrgss
New
New

New

New

History

#1 - 2022-06-30 14:03-CD TPM-0 O O
- Parent task set to #110122

#2 - 2022-09-26 18:36 - CD FW-0O O
- Target version set to VX1_MCE_FSE_V3.0_update_20221130

#3-2022-10-09 10:24 - CD FW-0 O
- Assignee changed from CD FW-[O 0 to CD TPM-0O 0O O

#4 - 2022-12-22 20:22 - CD FW-0O O

Gerrit Merge Information(]

1D Project Branch
142008 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
gs -dev

1b426belc9dcd7824569da%aed309c2513¢183f7¢c

AF:Settings: Modify split screen displayl.Modify the display on the left of the secondary pageTC-RID: 1201-0201710IssuelD: TS-R-DF-110126Change-1d:

#5 - 2022-12-22 20:23 - CD FW-00 O
Gerrit Merge Information(]

1D Project Branch
142683 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
her3 -dev

2025-08-17

3/7



AF:Launcher: Modify home layoutl.Modify workspace icon size2.Modify workspace rows and columsTC-RID: 1201-0205301IssuelD:
TS-R-DF-110126Change-Id: 16998d0d57115fc76de6c61ach46ad85de7fe46d6

#6 - 2022-12-22 20:24 - CD FW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
142962 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | yujie.chen@thundersoft.com
-dev

AF:Packagelnstaller:: Modify classical Chinesel.Modify uninstall Toast Chinese TipsTC-RID: 1201-0300301IssuelD: TS-R-DF-110126Change-Id:
16f7¢170514659689db819c67ceb3f40a305d5d02

#7 - 2022-12-22 20:24 - CD FW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
143162 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
her3 -dev

AF:Launcher: Configure default folderl.workspace configure default folderTC-RID: 1201-0205301Issuel D: TS-R-DF-110126Change-I1d:
1e479f48bc436b3f98b8db41alb8c01c64del3f57

#8 - 2022-12-22 20:28 - CD FW-0 O
Gerrit Merge Information(]

1D Project Branch Uploader
145684 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
her3 -launcher

FW: Launcher: Configure default folderl.workspace configure default folderTC-RID: 1201-0205301IssuelD: TS-R-DF-110126Change-I1d:
1018a13325f45a0788c7bd26412bd562989¢2938

#9 - 2022-12-22 20:28 - CD FW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
146209 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
her3 -launcher

2025-08-17 A7




FW: Launcher: Modify Folder Layoutl.Modify Folder Layout centerTC-RID: 1201-0205301IssuelD: TS-R-DF-110126Change-Id:
12807ccfead1695b10ac84fd24e415214c4c0a988

#10 - 2022-12-22 20:28 - CD FwW-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

146210

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-launcher

yujie.chen@thundersoft.com

FW: Launcher: Modify the drag effect of workspacel.Workspace cancel drag to shrink and turn the page at the boundaryTC-RID: 1201-0205301IssuelD:
TS-R-DF-110126Change-Id: 1cc78d2180721e119970a227d99f1c472a0187044

#11 - 2022-12-22 20:28 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

146211

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-launcher

yujie.chen@thundersoft.com

FW:Launcher: Modify Launcher deletelcon1.Modify Launcher deletelcon Layout center TC-RID: 1201-0205301IssuelD: TS-R-DF-110126Change-Id:
1dc8b4069d98e6351ed43¢c31194f8a2c62c561df8

#12 - 2022-12-22 20:28 - CD FW- O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

146307

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-launcher

yujie.chen@thundersoft.com

FW:Launcher: Fix Folderl1.Fix: the folder name cannot be modified when it is empty2.Fix: When the drag exceeds the range, the position is disordered TC-RID:
1201-02053061ssuelD: TS-R-DF-110126Change-Id: 10fd8ac32e1725e400fbcde4bd7fe073de84abed?

#13 - 2022-12-22 20:29 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

147394

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-launcher

yujie.chen@thundersoft.com

2025-08-17

5/7




AF:Launcher: Modify Widget Layoutl.Modify Widgets entrance2.Modify Widgets Ul 2 column3.Modify Widgets icon layoutTC-RID: 1201-0205301IssuelD:
TS-R-DF-110126Change-1d: 1a085223bbb69e16d5¢a9980d6c5342fe9f4831c9

#14 - 2022-12-22 20:29 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
147452 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
her3 -launcher

AF:Launcher: Revert Modify Widget Layout1.Modify Widgets entrance2.Modify Widgets Ul 2 column3.Modify Widgets icon layoutTC-RID:
1201-0205301Issuel D: TS-R-DF-110126Change-Id: 134ca0f4dc54429bb3c80fd1e5e3e49d846fc0180

#15 - 2022-12-22 20:29 - CD FwW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
147528 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
her3 -launcher

AF:Launcher: Modify Widgets layoutl.Modify Widgets entrance2.Modify Widgets Ul 2 column3.Modify Widgets icon layoutTC-RID: 1201-0205301IssuelD:
TS-R-DF-110126Change-1d: 119e4c7433822¢74229df6d9716ad52a372362acd

#16 - 2022-12-22 20:29 - CD FwW-0O O

Gerrit Merge Information(

1D Project Branch Uploader
147633 general/platform/frameworks/libs/syste | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
mui -dev

AF:Launcher: Modify Widgets layout dependent files1.New Widgets Ul dependent filesTC-RID: 1201-02053051ssuelD: TS-R-DF-110126Change-1d:
13c227f5b85d0fd96f8d3910189ab2c9fa637dd9f

#17 - 2022-12-22 20:29 - CD Fw-0O O
Gerrit Merge Information(]

1D Project Branch Uploader
147655 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | yujie.chen@thundersoft.com
her3 -launcher

2025-08-17 6/7




AF:Launcher: Modify workspace delete and removel.Modify delete and remove button ui2.Modify button appearance logicTC-RID: 1201-0205301IssuelD:
TS-R-DF-110126Change-Id: Ic75fa4e9a0acc413de86bb959490bb95de19bf7f

#18 - 2022-12-22 20:30 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

147810

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-launcher

yujie.chen@thundersoft.com

AF:Launcher: Modify Folder And Remove Button1.Modify folder edit mode scale icon2.Modify system app can't removeTC-RID: 1201-0205301IssuelD:
TS-R-DF-110126Change-1d: 113¢c317ac74415208de3932899eca08bec4fhbdce

#19 - 2022-12-22 20:36 - CD FwW-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
151545 general/LA.QSSI/LINUX/android/ven | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
dor/qcom/proprietary -dev

AF:MMI:Disable bootmode judgeDisable bootmode judge for start MMITC-RID: 1201-0201201IssuelD: TS-R-DF-110126Change-Id:
1bad826f8e04ffed1c8729901d9ba71f6da28a657

#20 - 2022-12-22 20:37 - CD FW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
151753 general/LA.QSSI/LINUX/android/ven | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
dor/qcom/proprietary -dev

AF:MMI:Disable screenlayout configDisable screenlayout configTC-RID: 1201-02012011ssuelD: TS-R-DF-110126Change-1d:
106fb09352dfa1880ch9f415e0390f13b01d00234

2025-08-17




